﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ellab.Charting
{
    public abstract class LineSeriesBase : SeriesBase
    {
        private Steema.TeeChart.Styles.BaseLine TSeries
        {
            get { return (Steema.TeeChart.Styles.BaseLine)tSeries; }
        }

        public int Width
        {
            get { return TSeries.LinePen.Width; }
            set
            {
                if (widthDelegate == null)
                    widthDelegate = new Action<int>(SetWidth);
                Chart.InvokeDelegate(widthDelegate, value);
            }
        }
        private Action<int> widthDelegate = null;
        private void SetWidth(int value)
        {
            TSeries.LinePen.Width = value;
        }
    }
}
